Package com.googlecode.htmlcompressor.taglib

# Class CssCompressorTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
javax.servlet.jsp.tagext.BodyTagSupport
com.googlecode.htmlcompressor.taglib.CssCompressorTag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

public class CssCompressorTag extends javax.servlet.jsp.tagext.BodyTagSupport
JSP tag that compresses an CSS content within <compress:css> using Yahoo YUI Compressor. All CSS-related properties from `HtmlCompressor` are supported.

Author:
  Sergiy Kovalchuk
See Also:
  - `HtmlCompressor`
  - Yahoo YUI Compressor
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

  `bodyContent`

  ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

  `id, pageContext`

  ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

  `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

  ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

  `EVAL_BODY_AGAIN`

  ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

  `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CssCompressorTag()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `doEndTag()`
  `void`
  `setEnabled(boolean enabled)`
  Sets the enabled.
  `void`
  `setYuiCssLineBreak(int yuiCssLineBreak)`
  Sets the yui css line break.

  ### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

  `doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, release, setBodyContent`

  ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

  `findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

  `getParent, setPageContext, setParent`

- ## Constructor Details

  - ### CssCompressorTag

    public CssCompressorTag()

- ## Method Details

  - ### doEndTag

    public int doEndTag() throws javax.servlet.jsp.JspException
    Specified by:
      `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
    Overrides:
      `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
    Throws:
      `javax.servlet.jsp.JspException`

  - ### setYuiCssLineBreak

    public void setYuiCssLineBreak(int yuiCssLineBreak)
    Sets the yui css line break.
    Parameters:
      `yuiCssLineBreak` - the new yui css line break
    See Also:
      - `HtmlCompressor.setYuiCssLineBreak(int)`

  - ### setEnabled

    public void setEnabled(boolean enabled)
    Sets the enabled.
    Parameters:
      `enabled` - the new enabled
    See Also:
      - `HtmlCompressor.setEnabled(boolean)`